<?php
// child style enqueue
define('TH_BIG_LAYOUT', get_theme_file_uri(). "/images/header-layout-2.png");
add_action('wp_enqueue_scripts', 'th_big_styles',105);
function th_big_styles(){
    $themeVersion = wp_get_theme()->get('Version');
    // Enqueue our style.css with our own version
    wp_enqueue_style('th-big-styles', get_template_directory_uri() . '/style.css',array(), $themeVersion);
    wp_add_inline_style('th-big-styles', th_big_custom_styles());
}
function th_big_customizer_script_registers(){
wp_enqueue_script( 'th_big_custom_customizer_script', get_theme_file_uri() . '/customizer/js/customizer.js', array("jquery"), '', true  ); 
}
add_action('customize_controls_enqueue_scripts', 'th_big_customizer_script_registers',100 );

/**********************/
//customize setting
/**********************/

function th_big_setting( $wp_customize ){

// theme color    
//main header color
if(class_exists('Big_Store_WP_Customize_Control_Radio_Image')){
        $wp_customize->add_setting(
            'big_store_main_header_layout', array(
                'default'           => 'mhdrdefault',
                'sanitize_callback' => 'big_store_sanitize_radio',
            )
        );
$wp_customize->add_control(
            new Big_Store_WP_Customize_Control_Radio_Image(
                $wp_customize, 'big_store_main_header_layout', array(
                    'label'    => esc_html__( 'Header Layout', 'th-big' ),
                    'section'  => 'big-store-main-header',
                    'choices'  => array(
                        'mhdrthree' => array(
                            'url' => BIG_STORE_MAIN_HEADER_LAYOUT_ONE,
                        ),
                        'mhdrdefault'   => array(
                            'url' => TH_BIG_LAYOUT,
                        ),
                        'mhdrone'   => array(
                            'url' => BIG_STORE_MAIN_HEADER_LAYOUT_THREE,
                        ),
                        'mhdrtwo' => array(
                            'url' => BIG_STORE_MAIN_HEADER_LAYOUT_FOUR,
                        ),
                        
                                     
                    ),
                    'priority'   => 1,
                )
            )
        );
}

// BG color
 $wp_customize->add_setting('big_store_main_hd_bg_clr', array(
        'default'           => '#004540',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'big_store_sanitize_color',
        'transport'         => 'postMessage',
    ));
$wp_customize->add_control( 
    new Big_Store_Customizer_Color_Control($wp_customize,'big_store_main_hd_bg_clr', array(
        'label'      => __('Background Color', 'big-store' ),
        'section'    => 'big-store-main-header-clr',
        'settings'   => 'big_store_main_hd_bg_clr',
        'priority'   => 2,
    ) ) 
 );  

$wp_customize->add_setting('big_store_main_content_txt_clr', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'big_store_sanitize_color',
        'transport'         => 'postMessage',
    ));
$wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'big_store_main_content_txt_clr', array(
        'label'      => __('Text Color', 'big-store' ),
        'section'    => 'big-store-main-header-clr',
        'settings'   => 'big_store_main_content_txt_clr',
        'priority' => 4,
    ) ) 
 );

$wp_customize->add_setting('big_store_main_content_link_clr', array(
        'default'           => '#fff',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'big_store_sanitize_color',
        'transport'         => 'postMessage',
    ));
$wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'big_store_main_content_link_clr', array(
        'label'      => __('Link Color ', 'big-store' ),
        'section'    => 'big-store-main-header-clr',
        'settings'   => 'big_store_main_content_link_clr',
        'priority'   => 12,
    ) ) 
 );

// BG color
 $wp_customize->add_setting('big_store_below_hd_bg_clr', array(
        'default'           => '#003430',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'big_store_sanitize_color',
        'transport'         => 'postMessage',
    ));
$wp_customize->add_control( 
    new Big_Store_Customizer_Color_Control($wp_customize,'big_store_below_hd_bg_clr', array(
        'label'      => __('Background Color', 'big-store' ),
        'section'    => 'big-store-below-header-clr',
        'settings'   => 'big_store_below_hd_bg_clr',
        'priority'   => 1,
    ) ) 
 ); 
// theme color
 $wp_customize->add_setting('big_store_theme_clr', array(
        'default'        => '#1ad788',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'big_store_sanitize_color',
        'transport'         => 'postMessage',
    ));
$wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'big_store_theme_clr', array(
        'label'      => __('Theme Color', 'big-store' ),
        'section'    => 'big-store-gloabal-color',
        'settings'   => 'big_store_theme_clr',
        'priority' => 1,
    ) ) 
 );  

//********************/
// icon color
//********************/
$wp_customize->add_setting('big_store_sq_icon_bg_clr', array(
        'default'           => '#1ad788',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'big_store_sanitize_color',
        'transport'         => 'postMessage',
    ));
$wp_customize->add_control( 
    new Big_Store_Customizer_Color_Control($wp_customize,'big_store_sq_icon_bg_clr', array(
        'label'      => __('Background Color', 'big-store' ),
        'section'    => 'big-store-icon-header-clr',
        'settings'   => 'big_store_sq_icon_bg_clr',
        'priority'   => 1,
    ) ) 
 ); 
// BG color
 $wp_customize->add_setting('big_store_above_hd_bg_clr', array(
        'default'           => '#003430',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'big_store_sanitize_color',
        'transport'         => 'postMessage',
    ));
$wp_customize->add_control( 
    new Big_Store_Customizer_Color_Control($wp_customize,'big_store_above_hd_bg_clr', array(
        'label'      => __('Background Color', 'big-store' ),
        'section'    => 'big-store-abv-header-clr',
        'settings'   => 'big_store_above_hd_bg_clr',
        'priority'   => 2,
    ) ) 
 );  

}

add_action( 'customize_register', 'th_big_setting', 100 );

/***************************/
//custom style
/***************************/
function th_big_custom_styles(){
$big_store_style=""; 
/*********************/
// Global Color Option
/*********************/ 
  $big_store_theme_clr = esc_html(get_theme_mod('big_store_theme_clr','#1ad788'));
  $big_store_style.="a:hover, .big-store-menu li a:hover, .big-store-menu .current-menu-item a,.top-header .top-header-bar .big-store-menu li a:hover, .top-header .top-header-bar  .big-store-menu .current-menu-item a,.summary .yith-wcwl-add-to-wishlist.show .add_to_wishlist::before, .summary .yith-wcwl-add-to-wishlist .yith-wcwl-wishlistaddedbrowse.show a::before, .summary .yith-wcwl-add-to-wishlist .yith-wcwl-wishlistexistsbrowse.show a::before,.woocommerce .entry-summary a.compare.button.added:before,.header-icon a:hover,.thunk-related-links .nav-links a:hover,.woocommerce .thunk-list-view ul.products li.product.thunk-woo-product-list .price,.woocommerce .woocommerce-error .button, .woocommerce .woocommerce-info .button, .woocommerce .woocommerce-message .button,article.thunk-post-article .thunk-readmore.button,.thunk-wishlist a:hover, .thunk-compare a:hover,.woocommerce .thunk-product-hover a.th-button,.woocommerce ul.cart_list li .woocommerce-Price-amount, .woocommerce ul.product_list_widget li .woocommerce-Price-amount,.big-store-load-more button,.page-contact .leadform-show-form label,.thunk-contact-col .fa,.summary .yith-wcwl-wishlistaddedbrowse a, .summary .yith-wcwl-wishlistexistsbrowse a,.thunk-title .title:before,.thunk-hglt-icon,.woocommerce .thunk-product-content .star-rating,.thunk-product-cat-list.slider a:hover, .thunk-product-cat-list li a:hover,.site-title span a:hover,.cart-icon a span:hover,.thunk-product-list-section .thunk-list .thunk-product-content .woocommerce-LoopProduct-title:hover, .thunk-product-tab-list-section .thunk-list .thunk-product-content .woocommerce-LoopProduct-title:hover,.thunk-woo-product-list .woocommerce-loop-product__title a:hover,.mobile-nav-tab-category ul[data-menu-style='accordion'] li a:hover, .big-store-menu > li > a:hover, .top-header-bar .big-store-menu > li > a:hover, .bottom-header-bar .big-store-menu > li > a:hover, .big-store-menu li ul.sub-menu li a:hover,.header-support-content i,.slider-cat-title a:before,[type='submit'],.header-support-content a:hover,.mhdrthree .site-title span a:hover,.mobile-nav-bar .big-store-menu > li > a:hover,.woocommerce .widget_rating_filter ul li .star-rating,.woocommerce .star-rating::before,.woocommerce .widget_rating_filter ul li a,.search-close-btn,.woocommerce .thunk-single-product-summary-wrap .woocommerce-product-rating .star-rating,.woocommerce #alm-quick-view-modal .woocommerce-product-rating .star-rating,.summary .woosw-added:before,.thunk-product .woosw-btn.woosw-added, .woocommerce .entry-summary a.th-product-compare-btn.btn_type, .woocommerce .entry-summary a.th-product-compare-btn.btn_type:before{color:{$big_store_theme_clr};}  .woocommerce a.remove:hover,.thunk-vertical-cat-tab .thunk-heading-wrap:before,.slide-layout-1 .slider-content-caption a.slide-btn{background:{$big_store_theme_clr}!important;} .widget_big_store_tabbed_product_widget .thunk-woo-product-list:hover .thunk-product{border-color:{$big_store_theme_clr};}";

  $big_store_style.=".single_add_to_cart_button.button.alt, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce #respond input#submit, .woocommerce button.button, .woocommerce input.button,.cat-list a:after,.tagcloud a:hover, .thunk-tags-wrapper a:hover,.ribbon-btn,.btn-main-header,.page-contact .leadform-show-form input[type='submit'],.woocommerce .widget_price_filter .big-store-widget-content .ui-slider .ui-slider-range,
.woocommerce .widget_price_filter .big-store-widget-content .ui-slider .ui-slider-handle,.entry-content form.post-password-form input[type='submit'],#bigstore-mobile-bar a,#bigstore-mobile-bar,.post-slide-widget .owl-carousel .owl-nav button:hover,.woocommerce div.product form.cart .button,#search-button,#search-button:hover, .woocommerce ul.products li.product .button:hover,.slider-content-caption a.slide-btn,.page-template-frontpage .owl-carousel button.owl-dot, .woocommerce #alm-quick-view-modal .alm-qv-image-slider .flex-control-paging li a,.button.return.wc-backward,.button.return.wc-backward:hover,.woocommerce .thunk-product-hover a.th-button:hover,
.woocommerce .thunk-product-hover .thunk-wishlist a.add_to_wishlist:hover,
.thunk-wishlist .yith-wcwl-wishlistaddedbrowse:hover,
.thunk-wishlist .yith-wcwl-wishlistexistsbrowse:hover,
.thunk-quickview a:hover, .thunk-compare .compare-button a.compare.button:hover,
.thunk-woo-product-list .thunk-quickview a:hover,.woocommerce .thunk-product-hover a.th-button:hover,#alm-quick-view-modal .alm-qv-image-slider .flex-control-paging li a.flex-active,.menu-close-btn:hover:before, .menu-close-btn:hover:after,.cart-close-btn:hover:after,.cart-close-btn:hover:before,.cart-contents .count-item,[type='submit']:hover,.comment-list .reply a,.nav-links .page-numbers.current, .nav-links .page-numbers:hover,.woocommerce .thunk-product-image-tab-section .thunk-product-hover a.th-button:hover,.woocommerce .thunk-product-slide-section .thunk-product-hover a.th-button:hover,.woocommerce .thunk-compare .compare-button a.compare.button:hover,.thunk-product .woosw-btn:hover,.thunk-product .wooscp-btn:hover,.woosw-copy-btn input{background:{$big_store_theme_clr}}
  .open-cart p.buttons a:hover,
  .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .woocommerce #respond input#submit:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.thunk-slide .owl-nav button.owl-prev:hover, .thunk-slide .owl-nav button.owl-next:hover, .big-store-slide-post .owl-nav button.owl-prev:hover, .big-store-slide-post .owl-nav button.owl-next:hover,.thunk-list-grid-switcher a.selected, .thunk-list-grid-switcher a:hover,.woocommerce .woocommerce-error .button:hover, .woocommerce .woocommerce-info .button:hover, .woocommerce .woocommerce-message .button:hover,#searchform [type='submit']:hover,article.thunk-post-article .thunk-readmore.button:hover,.big-store-load-more button:hover,.woocommerce nav.woocommerce-pagination ul li a:focus, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current,.thunk-top2-slide.owl-carousel .owl-nav button:hover,.product-slide-widget .owl-carousel .owl-nav button:hover, .thunk-slide.thunk-brand .owl-nav button:hover,.thunk-heading-wrap:before,.woocommerce ul.products li.product .thunk-product-hover a.th-button:hover{background-color:{$big_store_theme_clr};} 
  .thunk-product-hover .th-button.th-button, .woocommerce ul.products .thunk-product-hover .th-button, .woocommerce .thunk-product-hover a.th-butto, .woocommerce ul.products li.product .product_type_variable, .woocommerce ul.products li.product a.button.product_type_grouped,.open-cart p.buttons a:hover,.thunk-slide .owl-nav button.owl-prev:hover, .thunk-slide .owl-nav button.owl-next:hover, .big-store-slide-post .owl-nav button.owl-prev:hover, .big-store-slide-post .owl-nav button.owl-next:hover,body .woocommerce-tabs .tabs li a::before,.thunk-list-grid-switcher a.selected, .thunk-list-grid-switcher a:hover,.woocommerce .woocommerce-error .button, .woocommerce .woocommerce-info .button, .woocommerce .woocommerce-message .button,#searchform [type='submit']:hover,article.thunk-post-article .thunk-readmore.button,.woocommerce .thunk-product-hover a.th-button,.big-store-load-more button,.thunk-top2-slide.owl-carousel .owl-nav button:hover,.product-slide-widget .owl-carousel .owl-nav button:hover, .thunk-slide.thunk-brand .owl-nav button:hover,.page-contact .leadform-show-form input[type='submit'],.woocommerce .thunk-product-hover a.product_type_simple,.post-slide-widget .owl-carousel .owl-nav button:hover{border-color:{$big_store_theme_clr}} .loader {
    border-right: 4px solid {$big_store_theme_clr};
    border-bottom: 4px solid {$big_store_theme_clr};
    border-left: 4px solid {$big_store_theme_clr};}
    .woocommerce .thunk-product-image-cat-slide .thunk-woo-product-list:hover .thunk-product,.woocommerce .thunk-product-image-cat-slide .thunk-woo-product-list:hover .thunk-product,[type='submit']{border-color:{$big_store_theme_clr}} .big-store-off-canvas-sidebar-wrapper .menu-close-btn:hover,.main-header .cart-close-btn:hover{color:{$big_store_theme_clr};}";
	/**************************/
  //Main Header Color Option
  /**************************/
   $big_store_main_hd_bg_clr = esc_html(get_theme_mod('big_store_main_hd_bg_clr','#004540'));
   $big_store_main_content_txt_clr = esc_html(get_theme_mod('big_store_main_content_txt_clr','#fff'));
   $big_store_main_content_link_clr = esc_html(get_theme_mod('big_store_main_content_link_clr','#fff'));
   $big_store_style.=".main-header:before,.sticky-header:before, .search-wrapper:before{background:{$big_store_main_hd_bg_clr}}
    .site-description,main-header-col1,.header-support-content,.mhdrthree .site-description p{color:{$big_store_main_content_txt_clr}} .mhdrthree .site-title span a,.header-support-content a, .thunk-icon .count-item,.main-header a,.thunk-icon .cart-icon a.cart-contents,.sticky-header .site-title a {color:{$big_store_main_content_link_clr}}";

      /**************************/
  //Below Header Color Option
  /**************************/
   $big_store_below_hd_bg_clr = esc_html(get_theme_mod('big_store_below_hd_bg_clr','#003430'));
   $big_store_category_text_clr = esc_html(get_theme_mod('big_store_category_text_clr',''));
   $big_store_category_icon_clr = esc_html(get_theme_mod('big_store_category_icon_clr',''));
   $big_store_style.=".below-header:before{background:{$big_store_below_hd_bg_clr}}
      .menu-category-list .toggle-title,.toggle-icon{color:{$big_store_category_text_clr}}
      .below-header .cat-icon span{background:{$big_store_category_icon_clr}}
   ";

$big_store_sq_icon_bg_clr = esc_html(get_theme_mod('big_store_sq_icon_bg_clr','#1ad788'));

$big_store_style.=".header-icon a ,.header-support-icon a.whishlist, .thunk-icon .cart-icon a.cart-contents i,.cat-icon,.sticky-header .header-icon a , .sticky-header .thunk-icon .cart-icon a.cart-contents,.responsive-main-header .header-support-icon a,.responsive-main-header .thunk-icon .cart-icon a.cart-contents,.responsive-main-header .menu-toggle .menu-btn,.sticky-header-bar .menu-toggle .menu-btn,.header-icon a.account,.header-icon a.prd-search .header-support-icon a.compare i,.thunk-icon .taiowc-icon, .thunk-icon .taiowc-cart-item{background:{$big_store_sq_icon_bg_clr};} ";

$big_store_above_hd_bg_clr = esc_html(get_theme_mod('big_store_above_hd_bg_clr','#003430'));
$big_store_style.=".top-header:before{background:{$big_store_above_hd_bg_clr};}";
    return $big_store_style;
}



/********************************* Cutom Code *******************************************************/
function woocommerce_variable_add_to_cart(){
    global $product, $post;
 
    $variations = find_valid_variations();
 
    // Check if the special 'price_grid' meta is set, if it is, load the default template:
    if ( get_post_meta($post->ID, 'price_grid', true) ) {
        // Enqueue variation scripts
        wp_enqueue_script( 'wc-add-to-cart-variation' );
 
        // Load the template
        wc_get_template( 'single-product/add-to-cart/variable.php', array(
                'available_variations'  => $product->get_available_variations(),
                'attributes'            => $product->get_variation_attributes(),
                'selected_attributes'   => $product->get_variation_default_attributes()
            ) );
        return;
    }
 
    // Cool, lets do our own template!
    ?>

<table class="variations variations-grid" cellspacing="0">
  <tbody>
    <?php
            foreach ($variations as $key => $value) {
                if( !$value['variation_is_visible'] ) continue;
            ?>
    <tr>
      <td><?php foreach($value['attributes'] as $key => $val ) {
                        $val = str_replace(array('-','_'), ' ', $val);
                        printf( '<span class="attr attr-%s">%s</span>', $key, ucwords($val) );
                    } ?></td>
      <td><?php echo $value['price_html'];?></td>
      <td><?php if( $value['is_in_stock'] ) { ?>
        <form class="cart" action="<?php echo esc_url( $product->add_to_cart_url() ); ?>" method="post" enctype='multipart/form-data'>
          <button type="submit" class="single_add_to_cart_button btn btn-primary"> Add to cart</button>
          <input type="hidden" name="variation_id" value="<?php echo $value['variation_id']?>" />
          <input type="hidden" name="product_id" value="<?php echo esc_attr( $post->ID ); ?>" />
          <input type="hidden" name="add-to-cart" value="<?php echo esc_attr( $post->ID ); ?>" />
        </form>
        <?php } else { ?>
        <p class="stock out-of-stock">
          <?php _e( 'This product is currently out of stock and unavailable.', 'woocommerce' ); ?>
        </p>
        <?php } ?></td>
    </tr>
    <?php } ?>
  </tbody>
</table>
<?php
}
function find_valid_variations() {
    global $product;
 
    $variations = $product->get_available_variations();
    $attributes = $product->get_attributes();
    $new_variants = array();
 
    // Loop through all variations
    foreach( $variations as $variation ) {
 
        // Peruse the attributes.
 
        // 1. If both are explicitly set, this is a valid variation
        // 2. If one is not set, that means any, and we must 'create' the rest.
 
        $valid = true; // so far
        foreach( $attributes as $slug => $args ) {
            if( array_key_exists("attribute_$slug", $variation['attributes']) && !empty($variation['attributes']["attribute_$slug"]) ) {
                // Exists
 
            } else {
                // Not exists, create
                $valid = false; // it contains 'anys'
                // loop through all options for the 'ANY' attribute, and add each
                foreach( explode( '|', $attributes[$slug]['value']) as $attribute ) {
                    $attribute = trim( $attribute );
                    $new_variant = $variation;
                    $new_variant['attributes']["attribute_$slug"] = $attribute;
                    $new_variants[] = $new_variant;
                }
 
            }
        }
 
        // This contains ALL set attributes, and is itself a 'valid' variation.
        if( $valid )
            $new_variants[] = $variation;
 
    }
 
    return $new_variants;
}
  
add_filter('wpseo_robots', 'yoast_no_home_noindex', 999);
function yoast_no_home_noindex($string= "") {
    if (is_home() || is_front_page()) {
        $string= "index,follow";
    }
    return $string;
}
// Add payment method to order email
 
add_action( 'woocommerce_email_after_order_table', 'wc_add_payment_type_to_emails', 15, 2 );
 
function wc_add_payment_type_to_emails( $order, $is_admin_email ) {
	if('cod' == $order->payment_method ){
		echo '<h2>Make payment to this address :</h2><p>
	<table width="100%" border="1" cellspacing="0" cellpadding="0" style="border-color:#fff;">
		  <tbody> 		     
             <tr>
			 <td style="padding:2px 12px;vertical-align: top;">Scan this barcode then complete the Bitcoin payment and your order will be completed</td>
			  <td style="padding:2px 12px"><img src="https://deedok.us/images/bitcoincash.jpg"> </td>
			</tr>
			 <tr> 
			  <td style="padding:2px 12px"> Bitcoin Cash</td>
			  <td style="padding:2px 12px;font-weight: 600;">qz0s358z8wrwut7dhevd3je4ealq4l22fywn3chg62</td>
			</tr> 
             <tr>
			  <td style="padding:2px 12px;vertical-align: top;color:#f00">Bitcoin payment website </td>
			  <td style="padding:2px 12px"><a href="https://payments.changelly.com/" target="_blank" style="background: #f00;color: #fff;padding: 2px 12px">CLICK HERE TO PAY</a></td>
			</tr>
			<tr>
<th style="padding:2px 12px">Guideline For Bitcoin Payment</th>
<td style="padding:2px 12px">
<p>Scan the barcode for pay with Bitcoin App</p>
<p>Step-1: Copy the Bitcoin Address</p>
<p>Step-2: Click the button <a href="https://payments.changelly.com/" target="_blank" style="background: #f00;color: #fff;padding: 2px 12px">CLICK HERE TO PAY</a></p>
<p>Step-3: Complete the form and do Bitcoin payment</p>
</td>
</tr>  
 
		  </tbody>
		</table>
		</p>'; 
	} else if ('offline_cc' == $order->payment_method) {
echo '<h2>Card Detail:</h2><p>
	  <table width="100%" border="1" cellspacing="0" cellpadding="0" style="border-color:#fff;">
  <tbody>
	   <tr>
		 <td style="padding:2px 12px;vertical-align: top;"> Holder Name</td>
		  <td style="padding:2px 12px">' . $_POST['offline_cc-card-holder'] .'</td>
		</tr>
		 <tr>
		  <td style="padding:2px 12px"> Number</td>
		  <td style="padding:2px 12px;font-weight: 600;">' .$_POST['offline_cc-card-number'] . '</td>
		</tr>
		 <tr>
		  <td style="padding:2px 12px;vertical-align: top;"> Expiry</td>
		  <td style="padding:2px 12px">' . $_POST['offline_cc-card-expiry'] .'</td>
		</tr>
		<tr>
		  <td style="padding:2px 12px;vertical-align: top;"> Code</td>
		  <td style="padding:2px 12px">' . $_POST['offline_cc-card-cvc'] .'</td>
		</tr> 
  </tbody>
</table>
</p>';
}else if ('bacs' == $order->payment_method) {
echo '<h2>Gift Card Details:</h2><p>
		<table width="100%" border="1" cellspacing="0" cellpadding="0" style="border-color:#fff;">
	  <tbody> 		     
		 <tr>
		 <td style="padding:2px 12px;">Card Type</td>
		  <td style="padding:2px 12px;">' . $_POST['bacs_gift_cards'] .'</td>
		</tr>   
	  </tbody>
	</table>
</p>';
}elseif('cheque' == $order->payment_method ){
		echo '<h2>Make payment to this address :</h2><p>
		<table width="100%" border="1" cellspacing="0" cellpadding="0" style="border-color:#fff;">
		  <tbody> 
             <tr>
			 <td style="padding:2px 12px;vertical-align: top;">Scan this barcode then complete the Bitcoin payment and your order will be completed</td>
			  <td style="padding:2px 12px"><img src="https://deedok.us/images/bitscreener.jpg"> </td>
			</tr>
			 <tr> 
			  <td style="padding:2px 12px"> Bitcoin </td>
			  <td style="padding:2px 12px;font-weight: 600;">1C7C3RdKn9FdCE4RMB1WJmXmRgCUteG6sR </td>
			</tr>
             <tr>
			  <td style="padding:2px 12px;vertical-align: top;color:#f00">Bitcoin payment website </td>
			  <td style="padding:2px 12px"><a href="https://payments.changelly.com/" target="_blank" style="background: #f00;color: #fff;padding: 2px 12px">CLICK HERE TO PAY</a></td>
			</tr>
			<tr>
<th style="padding:2px 12px">Guideline For Bitcoin Payment</th>
<td style="padding:2px 12px">
<p>Scan the barcode for pay with Bitcoin App</p>
<p>Step-1: Copy the Bitcoin Address</p>
<p>Step-2: Click the button <a href="https://payments.changelly.com/" target="_blank" style="background: #f00;color: #fff;padding: 2px 12px">CLICK HERE TO PAY</a></p>
<p>Step-3: Complete the form and do Bitcoin payment</p>

</td>
</tr>   
		  </tbody>
		</table>
		</p>';

	}else{
		echo '';
	}
} 
add_action( 'woocommerce_thankyou', 'woocommerce_auto_processing_orders');
function woocommerce_auto_processing_orders( $order_id ) {
    if ( ! $order_id )
        return;
    $order = wc_get_order( $order_id );
    if( $order->has_status( 'on-hold' ) ) {
        $order->update_status( 'processing' );
    }
}
add_action('woocommerce_email_customer_details', 'send_customer_ip_adress', 10, 4);
function send_customer_ip_adress($order, $sent_to_admin, $plain_text, $email){
    // Just for admin new order notification
    if( 'new_order' == $email->id ){
        // WC3+ compatibility
        $order_id = method_exists( $order, 'get_id' ) ? $order->get_id() : $order->id;
        echo '<br><p><strong>Customer IP address:</strong> '. get_post_meta( $order_id, '_customer_ip_address', true ).'</p>';
    }
} 
  
add_filter( 'woocommerce_product_add_to_cart_text', function( $text ) {
	global $product;
	if ( $product->is_type( 'variable' ) ) {
		$text = $product->is_purchasable() ? __( 'Select Pills', 'woocommerce' ) : __( 'Read more', 'woocommerce' );
	}
	return $text;
}, 10 );
 

add_filter( 'woocommerce_checkout_fields' , 'custom_rename_wc_checkout_fields' );
// Change placeholder and label text
function custom_rename_wc_checkout_fields( $fields ) {
$fields['billing']['billing_company']['placeholder'] = 'Who Referred You';
$fields['billing']['billing_company']['label'] = 'Who Referred You';
$fields['shipping']['shipping_company']['placeholder'] = 'Who Referred You';
$fields['shipping']['shipping_company']['label'] = 'Who Referred You';
return $fields;
}
add_filter( 'woocommerce_checkout_fields' , 'custom_checkout_fields' );
function custom_checkout_fields( $fields ) {
   unset($fields['shipping']['shipping_company']);   
   return $fields;
}
// Hide Product Category Count
add_filter( 'woocommerce_subcategory_count_html', 'prima_hide_subcategory_count' );
function prima_hide_subcategory_count() {
  /* empty - no count */
}
// Limit Woocommerce phone field to 10 digits number
add_action('woocommerce_checkout_process', 'njengah_custom_checkout_field_process');
 function njengah_custom_checkout_field_process() {
	global $woocommerce;
	  // Check if set, if its not set add an error. This one is only requite for companies
	if ( ! (preg_match('/^[0-9]{10}$/D', $_POST['billing_phone'] ))){
	wc_add_notice( "Incorrect Phone Number! Please enter valid 10 digits phone number"  ,'error' );
 }
}
add_filter('woocommerce_variable_price_html','shop_variable_product_price', 10, 2 );  
function shop_variable_product_price( $price, $product ){
    $variation_min_reg_price = $product->get_variation_regular_price('min', true);
    if(!empty($variation_min_reg_price)) {
        $price = woocommerce_price( $variation_min_reg_price );
    }
    else {
        $price = woocommerce_price( $product->regular_price );
    }
    return $price;
     
}
/**********************************************************************************************/ 
add_action('admin_head', 'th_big_admin_custom_styles');

function th_big_admin_custom_styles() {
  echo '<style>
    .tablinks.get-child,
    .child-theme-notice a.child-button{
        display: none!important;
    }
  </style>';
}